Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Interface LiveAttributeValue

All Known Subinterfaces:
  AnimatedLiveAttributeValue

All Known Implementing Classes:
  AbstractSVGAnimatedLength, AbstractSVGAnimatedValue, SVGOMAnimatedBoolean, SVGOMAnimatedEnumeration, SVGOMAnimatedInteger, SVGOMAnimatedLength, SVGOMAnimatedLengthList, SVGOMAnimatedMarkerOrientValue, SVGOMAnimatedNumber, SVGOMAnimatedNumberList, SVGOMAnimatedPathData, SVGOMAnimatedPoints, SVGOMAnimatedPreserveAspectRatio, SVGOMAnimatedRect, SVGOMAnimatedString, SVGOMAnimatedTransformList, SVGStylableElement.PresentationAttributeColorValue, SVGStylableElement.PresentationAttributePaintValue, SVGStylableElement.PresentationAttributeValue, SVGStylableElement.StyleDeclaration

    public interface LiveAttributeValue

This interface should be implemented by all the attribute values objects that must be updated when the attribute node is modified.

Method Summary
`void` | `attrAdded(Attr node, String newv)` Called when an Attr node has been added.
`void` | `attrModified(Attr node, String oldv, String newv)` Called when an Attr node has been modified.
`void` | `attrRemoved(Attr node, String oldv)` Called when an Attr node has been removed.

Method Detail

### attrAdded

    void attrAdded(Attr node,
                   String newv)

  Called when an Attr node has been added.

### attrModified

    void attrModified(Attr node,
                      String oldv,
                      String newv)

  Called when an Attr node has been modified.

### attrRemoved

    void attrRemoved(Attr node,
                     String oldv)

  Called when an Attr node has been removed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.